import uConfigParser
import gc
import webrepl

def do_connect(ssid, key):
    import network
    import gc
    wlan = network.WLAN(network.STA_IF)
    wlan.active(True)
    if not wlan.isconnected():
        print('connecting to network...')
        wlan.connect(ssid, key)
        while not wlan.isconnected():
            pass
    print('network config:', wlan.ifconfig())
    gc.collect()


config_obj = uConfigParser.ConfigParser()
config_obj.read('config.ini')
config = config_obj.config_dict
if config_obj.has_option('DEFAULT','ssid') and config_obj.has_option('DEFAULT','key'):
    do_connect(config['DEFAULT']['ssid'], config['DEFAULT']['key'])
else:
    do_connect()
if config_obj.has_option('DEFAULT','webrepl_passwd'):
    webrepl.start(password=config['DEFAULT']['webrepl_passwd'])
else:
    webrepl.start()
gc.collect()


